[Pkg-postgresql-public] versionless metapackages

Martin Pitt mpitt at debian.org
Fri Aug 26 14:51:52 UTC 2011

Christoph Berg [2011-08-25 18:05 +0200]:
> Wouldn't it make more sense to build these from postgresql-common, or
> some other source package? That's the place where "version X.Y is
> supported" comes from anyway.

In theory yes. We'd just need some tricks to set their version number
to e. g. 9.1+120, as (1) they need to sort like the postgresql major
versions, and (2) they still need to increase with the p-common
version numbers. But I think this schema might work?

Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)

More information about the Pkg-postgresql-public mailing list